/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createStore } from 'zustand/vanilla';
import { useStore } from 'zustand';
export const consoleStore = createStore((set, get) => ({
    outputs: 0,
    adapter: undefined,
    execute: () => { },
    setOutputs: (outputs) => set((state) => ({ outputs })),
    setAdapter: (adapter) => set((state) => ({ adapter })),
}));
export function useConsoleStore(selector) {
    return useStore(consoleStore, selector);
}
export default useConsoleStore;
//# sourceMappingURL=ConsoleState.js.map