import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { ActionMenu, ActionList, IconButton } from '@primer/react';
import { KebabHorizontalIcon, StopIcon, PaintbrushIcon, } from '@primer/octicons-react';
import { RestartIcon } from '@datalayer/icons-react';
export const KernelActionMenu = (props) => {
    const { kernel, outputAdapter } = props;
    return (_jsxs(ActionMenu, { children: [_jsx(ActionMenu.Anchor, { children: _jsx(IconButton, { "aria-labelledby": "", icon: KebabHorizontalIcon, variant: "invisible" }) }), _jsx(ActionMenu.Overlay, { children: _jsxs(ActionList, { children: [kernel && (_jsxs(ActionList.Item, { onSelect: e => {
                                kernel.interrupt();
                            }, children: [_jsx(ActionList.LeadingVisual, { children: _jsx(StopIcon, {}) }), "Interrupt kernel"] })), kernel && (_jsxs(ActionList.Item, { onSelect: e => {
                                kernel.restart();
                            }, children: [_jsx(ActionList.LeadingVisual, { children: _jsx(RestartIcon, {}) }), "Restart kernel"] })), outputAdapter && (_jsxs(ActionList.Item, { variant: "danger", onSelect: e => {
                                outputAdapter.clear();
                            }, children: [_jsx(ActionList.LeadingVisual, { children: _jsx(PaintbrushIcon, {}) }), "Clear outputs"] }))] }) })] }));
};
export default KernelActionMenu;
//# sourceMappingURL=KernelActionMenu.js.map