import { CommandRegistry } from '@lumino/commands';
import { CompletionHandler } from '@jupyterlab/completer';
import { NotebookPanel, NotebookTracker } from '@jupyterlab/notebook';
/**
 * The map of command ids used by the notebook.
 */
export declare const cmdIds: {
    changeCellType: string;
    changeCellTypeToCode: string;
    changeCellTypeToMarkdown: string;
    changeCellTypeToRaw: string;
    commandMode: string;
    deleteCells: string;
    editMode: string;
    extendAbove: string;
    extendBelow: string;
    extendBottom: string;
    extendTop: string;
    findNext: string;
    findPrevious: string;
    insertAbove: string;
    insertBelow: string;
    interrupt: string;
    invoke: string;
    invokeNotebook: string;
    merge: string;
    redo: string;
    restart: string;
    run: string;
    runAll: string;
    runAndAdvance: string;
    save: string;
    select: string;
    selectAbove: string;
    selectBelow: string;
    selectNotebook: string;
    split: string;
    startSearch: string;
    switchKernel: string;
    undo: string;
};
export declare const NotebookCommands: (commandRegistry: CommandRegistry, notebookPanel: NotebookPanel, completerHandler: CompletionHandler, tracker: NotebookTracker, path?: string) => void;
export default NotebookCommands;
