import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState } from 'react';
import { Box, Button } from '@primer/react';
import { PlayIcon } from '@primer/octicons-react';
import useNotebookStore from '../../NotebookState';
import { DATALAYER_CELL_SIDEBAR_CLASS_NAME } from './CellSidebarWidget';
export const CellSidebarRun = (props) => {
    const { notebookId } = props;
    const notebookStore = useNotebookStore();
    const [visible, setVisible] = useState(false);
    const activeCell = notebookStore.selectActiveCell(notebookId);
    const layout = activeCell?.layout;
    if (layout) {
        const cellWidget = layout.widgets[0];
        if (!visible && cellWidget?.node.id === props.cellNodeId) {
            setVisible(true);
        }
        if (visible && cellWidget?.node.id !== props.cellNodeId) {
            setVisible(false);
        }
    }
    if (!visible) {
        return _jsx("div", {});
    }
    return activeCell ? (_jsx(Box, { className: DATALAYER_CELL_SIDEBAR_CLASS_NAME, sx: {
            '& p': {
                marginBottom: '0 !important',
            },
        }, children: _jsx(Box, { children: _jsx(Button, { trailingVisual: PlayIcon, size: "small", variant: "invisible", onClick: (e) => {
                    e.preventDefault();
                    notebookStore.run(notebookId);
                }, children: "Run" }) }) })) : (_jsx(_Fragment, {}));
};
export default CellSidebarRun;
//# sourceMappingURL=CellSidebarRun.js.map