/// <reference types="react" />
import { CommandRegistry } from '@lumino/commands';
import { Notebook, NotebookPanel } from '@jupyterlab/notebook';
import { ICellHeader, Cell } from '@jupyterlab/cells';
import { ICellSidebarProps } from '../cell/sidebar';
import { CodeCell } from '@jupyterlab/cells';
export declare const PYTHON_CELL_MIMETYPE = "text/x-ipython";
export declare const SQL_CELL_MIMETYPE = "application/sql";
export declare const isSQLCell: (cell: Cell) => boolean;
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export declare class JupyterReactContentFactory extends NotebookPanel.ContentFactory {
    private readonly CellSidebar?;
    private readonly notebookId;
    private readonly nbgrader;
    private readonly commands;
    constructor(notebookId: string, nbgrader: boolean, commands: CommandRegistry, options: Cell.ContentFactory.IOptions, CellSidebar?: (props: ICellSidebarProps) => JSX.Element);
    private _updateSQLEditor;
    private _updateEditor;
    /** @override */
    createNotebook(options: Notebook.IOptions): Notebook;
    /** @override */
    createCellHeader(): ICellHeader;
    /** @override */
    createCodeCell(options: CodeCell.IOptions): CodeCell;
}
export default JupyterReactContentFactory;
