import { IOutput } from '@jupyterlab/nbformat';
import { IOutputAreaModel } from '@jupyterlab/outputarea';
import { Kernel } from '../../jupyter/kernel/Kernel';
import { IExecutionPhaseOutput } from '../../jupyter/kernel';
import { OutputAdapter } from './OutputAdapter';
import './Output.css';
export type IOutputProps = {
    adapter?: OutputAdapter;
    autoRun: boolean;
    clearTrigger: number;
    code: string;
    codePre?: string;
    disableRun: boolean;
    executeTrigger: number;
    id: string;
    insertText?: (payload?: any) => string;
    kernel?: Kernel;
    lumino: boolean;
    model?: IOutputAreaModel;
    outputs?: IOutput[];
    receipt?: string;
    showControl?: boolean;
    showEditor: boolean;
    showKernelProgressBar?: boolean;
    suppressCodeExecutionErrors?: boolean;
    toolbarPosition: 'up' | 'middle' | 'none';
    onExecutionPhaseChanged?: (phaseOutput: IExecutionPhaseOutput) => void;
};
export declare const Output: {
    (props: IOutputProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<IOutputProps>;
};
export default Output;
