import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Box, Button, ButtonGroup } from '@primer/react';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { Notebook } from '../components/notebook/Notebook';
import { CellSidebar } from '../components/notebook/cell/sidebar/CellSidebar';
import useNotebookStore from '../components/notebook/NotebookState';
import nbformat1 from './notebooks/NotebookExample1.ipynb.json';
import nbformat2 from './notebooks/NotebookExample2.ipynb.json';
const NOTEBOOK_ID = 'notebook-model-change-id';
const NotebookNbformatChange = () => {
    const notebookStore = useNotebookStore();
    const [nbformat, setNbformat] = useState(nbformat1);
    const changeNbformat = () => {
        console.log('Notebook Nbformat from store', notebookStore.notebooks.get(NOTEBOOK_ID)?.model?.toJSON());
        nbformat === nbformat1 ? setNbformat(nbformat2) : setNbformat(nbformat1);
    };
    return (_jsxs(_Fragment, { children: [_jsx(Box, { display: "flex", children: _jsx(ButtonGroup, { children: _jsx(Button, { variant: "default", size: "small", onClick: changeNbformat, children: "Change Nbformat" }) }) }), _jsx(Notebook, { id: NOTEBOOK_ID, nbformat: nbformat, height: "700px", CellSidebar: CellSidebar })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(JupyterReactTheme, { children: _jsx(NotebookNbformatChange, {}) }));
//# sourceMappingURL=NotebookNbformatChange.js.map