import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Box, Text } from '@primer/react';
import { JupyterReactTheme } from '../theme';
import { Notebook } from '../components/notebook/Notebook';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import { CellSidebar } from '../components/notebook/cell/sidebar/CellSidebar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookOnKernelConnection = () => {
    const [kernelConnections, setKernelConnections] = useState([]);
    const onKernelConnection = (kernelConnection) => {
        console.log('Received a Kernel Connection.', kernelConnection);
        if (kernelConnection) {
            setKernelConnections(kernelConnections.concat(kernelConnection));
        }
    };
    return (_jsxs(JupyterReactTheme, { children: [_jsx(Box, { as: "h1", children: "A Jupyter Notebook Listening to Kernel Connections" }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: "Kernel Connections" }) }), _jsx(Box, { children: kernelConnections.map(kernelConnection => {
                    return (_jsxs(Box, { children: ["Client ID (", kernelConnection.clientId, ") - Kernel ID (", kernelConnection.id, ")"] }, kernelConnection.clientId));
                }) }), _jsx(Notebook, { nbformat: nbformat, id: "notebook-on-kernel-connection-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                , onKernelConnection: onKernelConnection, cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookOnKernelConnection, {}));
//# sourceMappingURL=NotebookOnKernelConnection.js.map